<?php

App::uses('Helper', 'View');

/**
 * Application helper
 *
 * This file is the base helper of all other helpers
 *
 * PHP version 5
 *
 * @category Helpers
 * @package  Bemmelhor
 * @version  1.0
 * @author   Fabricio S Costa <fabriciojf@gmail.com>
 *
 * @link     http://www.bemmelhor.org
 */
class AppHelper extends Helper {

    /**
     * Url helper function
     *
     * @param string $url
     * @param bool $full
     * @return mixed
     * @access public
     */
    public function url($url = null, $full = false) {
        if (!isset($url['locale']) && isset($this->params['locale'])) {
            $url['locale'] = $this->params['locale'];
        }
        return parent::url($url, $full);
    }

}
